Create pentest draft assessment

Create a new draft pentest assessment. The project will be created if it doesn't exist. You can either provide existing repository IDs or create a custom repository from a download URL.

Body Params

The parameters needed to create a new draft pentest assessment

string
required

The name of the pentest project. If the project doesn't exist, it will be created.

domains
array of strings
required
length ≥ 1

An array of domain URLs to include in the pentest assessment. Cannot be empty.

domains*
custom_headers
object

A map of custom headers to include in the assessment. Must be of format {header_name: header_value, ...}

repository_ids
array of integers

An array of existing code repository IDs to include in the assessment. Required if 'repository_download_url' and 'repository_name' are not provided.

repository_ids
string

URL to download a custom code repository. Must be provided together with 'repository_name'. If provided, 'repository_ids' should not be provided.

string

Name for the custom code repository. Must be provided together with 'repository_download_url'. If provided, 'repository_ids' should not be provided.

Responses

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json